Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
GET /api/billing/boosts 200 ApiEnvelopeOfListOfActiveBoostDto
DELETE /api/billing/boosts/{guid} 200 ApiEnvelope
GET /api/billing/boosts/available 200 ApiEnvelopeOfListOfAvailableBoostDto
POST /api/billing/checkout 200 ApiEnvelopeOfCheckoutResponse
GET /api/billing/entitlements 200 EntitlementsResponse
GET /api/billing/events 200 PagedResultOfBillingEventDto
GET /api/billing/invoices 200 PagedResultOfInvoiceDto
GET /api/billing/invoices/{guid} 200 InvoiceDto
GET /api/billing/overview 200 ApiEnvelopeOfBillingOverview
GET /api/billing/quota 200 ApiEnvelopeOfPlanQuota
POST /api/billing/subscribe 200 CheckoutResponse
GET /api/billing/usage 200 ApiEnvelopeOfTenantUsage

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

ApiEnvelope

PropertyTypeDescription
ok boolean
requestId uuid
data ?
error null,string
errorCode null,string
count int32
hint null,string

ApiEnvelopeOfBillingOverview

PropertyTypeDescription
ok boolean
requestId uuid
data null | BillingOverview
error null,string
errorCode null,string
count int32
hint null,string

ApiEnvelopeOfCheckoutResponse

PropertyTypeDescription
ok boolean
requestId uuid
data null | CheckoutResponse
error null,string
errorCode null,string
count int32
hint null,string

ApiEnvelopeOfListOfActiveBoostDto

PropertyTypeDescription
ok boolean
requestId uuid
data null,array
error null,string
errorCode null,string
count int32
hint null,string

ApiEnvelopeOfListOfAvailableBoostDto

PropertyTypeDescription
ok boolean
requestId uuid
data null,array
error null,string
errorCode null,string
count int32
hint null,string

ApiEnvelopeOfPlanQuota

PropertyTypeDescription
ok boolean
requestId uuid
data null | PlanQuota
error null,string
errorCode null,string
count int32
hint null,string

ApiEnvelopeOfTenantUsage

PropertyTypeDescription
ok boolean
requestId uuid
data null | TenantUsage
error null,string
errorCode null,string
count int32
hint null,string

CheckoutResponse

PropertyTypeDescription
checkoutUrl string
sessionId string

EntitlementsResponse

PropertyTypeDescription
subscriptions ProductSubscriptionDto[]
features string[]
productsClaim string

InvoiceDto

PropertyTypeDescription
guid uuid
createdAtUtc date-time
status PaymentStatus
amountCents int32
currency string
description null,string
periodStartUtc date-time
periodEndUtc date-time
paidAtUtc date-time
stripeInvoiceId string
stripeInvoiceUrl null,string
lineItems InvoiceLineItemDto[]

PagedResultOfBillingEventDto

PropertyTypeDescription
items* BillingEventDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

PagedResultOfInvoiceDto

PropertyTypeDescription
items* InvoiceDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean